Bug 206073 - Kernel and GNOME have problems detecting and mounting SATA DVD drive
Kernel and GNOME have problems detecting and mounting SATA DVD drive
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-11 15:56 EDT by Manish
Modified: 2008-01-19 23:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Manish 2006-09-11 15:56:22 EDT
Description of problem:
1. Used Fedora Core 5 DVD for install/testing.
Installation with stock FC5 kernel detects the ThinkPad SATA DVD drive as PATA
(/dev/hdc) and installs correctly to the end. Since the SATA drive is detected
and mounted as PATA, DVD playback and file IO is slow. DMA cannot be enabled.
At this point, I had to remove FC5 for some reasons.

2. I built myself an FC5 respin DVD with new updated kernel (2.6.17-1_2174).
This time, install process doesn't detect any optical drive at all. I found 
that
I had to use combined_mode=libata kernel parameter or hdc=noprobe to let it 
present
me choices for drivers. I selected ata_piix (Intel), and all went well. After
completion of install process , if I don't use any kernel parameters, the drive
is detected as PATA (/dev/hdc) and correctly mounted by GNOME. Playback is slow
in PATA mode with no DMA. If I use kernel parameter combined_mode=libata, it is
correctly detected as SATA (/dev/scd0) and playback is normal. But GNOME 
refuses
to see or mount any disc.

As per my speculation, it may have to do with gnome-mount, udev and kernel.


Version-Release number of selected component (if applicable):
All FC5 kernels have this problem. The only difference is, stock FC5 kernel 
(2054)
detected the drive as PATA and continued the slow install process, but later
2.6.17 kernels don't even detect the drive when no special kernel parameter is 
passed.

How reproducible:
1. FC5 release DVD with ThinkPad R52. ThinkPad T43 can also be used for 
testing, as
it has the same internal hardware as my R52 version. Boh R52 and T43 come with
a SATA-PATA bridge, that connects the PATA drive to the SATA interface of the
motherboard.

2. FC5 respins with kernel 2.6.17-1_2174. I've also tested the Fedora-Unity
release "Fedora Core 5 respin 20060818" with the same effects.

Steps to Reproduce:
1. Boot with stock FC5 DVD on a ThinkPad R52. The SATA drive is detected as 
PATA.
2. Boot with FC5 respin DVD on a ThinkPad R52. No DVD drive is detected.
When booting with: linux combined_mode=libata parameter, user is presented with
a dialog to select CD/DVD driver from. After the installation, drive is 
detected
as PATA (/dev/hdc), but GNOME mounts discs normally. When combined_mode=libata
is passed to kernel in /boot/grub/menu.lst, it is correctly detected as SATA
(/dev/scd0), but GNOME doesn't see or mount any discs, although media players
can load DVDs and play them at normal speed.

Expected results:
Install CDs/DVD should correctly detect the SATA drive, and GNOME should 
correctly
detect and mount media discs.

Additional info:
Machine used is - IBM/Lenovo ThinkPad R52 1860-A33 - 
http://www.thinkwiki.org/wiki/Category:R52

Problems with SATA and Linux (ThinkWiki) - 
http://www.thinkwiki.org/wiki/Problems_with_SATA_and_Linux

Please note that I've tested a few other distributions, and would like to
mention the ones that work as expected, or those that don't. I'm doing this 
only
to make developers' work easy; the intention is not to compare them.

Debian Etch (testing) - Doesn't detect SATA DVD. GNOME doesn't mount (Same as 
FC5)
SUSE 10.1/SLED10 - Detects, installs, and GNOME works pefectly as it should.
Ubuntu 6.06 - Detects, installs, and GNOME works pefectly as it should.
Comment 1 Dave Jones 2006-10-16 15:27:33 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Jon Stanley 2008-01-19 23:41:20 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.